Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.asn1
Class CHOICE.Template.Element

    java.lang.Object
      |
      +--org.mozilla.jss.asn1.CHOICE.Template.Element

private static class CHOICE.Template.Element
extends java.lang.Object

An element in a CHOICE template, consisting of a nested template and, optionally, an implicit tag for that template.

Field Summary
`private Tag` | `implicitTag`
`private ASN1Template` | `template`

Constructor Summary
`CHOICE.Template.Element(ASN1Template template)` Creates a CHOICE template element with no implicit tag.
`CHOICE.Template.Element(Tag implicitTag, ASN1Template template)` Creates a CHOICE template element with an implicit tag.

Method Summary
`Tag` | `getImplicitTag()` Returns the implicit tag for this CHOICE template element, if there is one.
`ASN1Template` | `getTemplate()` Returns the template of this CHOICE template element.

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### template

    private ASN1Template template

### implicitTag

    private Tag implicitTag

Constructor Detail

### CHOICE.Template.Element

    public CHOICE.Template.Element(ASN1Template template)

  Creates a CHOICE template element with no implicit tag.

### CHOICE.Template.Element

    public CHOICE.Template.Element(Tag implicitTag,
                                   ASN1Template template)

  Creates a CHOICE template element with an implicit tag.

Method Detail

### getTemplate

    public ASN1Template getTemplate()

  Returns the template of this CHOICE template element.

### getImplicitTag

    public Tag getImplicitTag()

  Returns the implicit tag for this CHOICE template element, if there is one. If not, returns null.

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD